A dynamic family

HTTPS and socks proxy are very similar. It could be interesting to do on dynamic family instead of duplicate family and variable description.

First of all, we add a dynamic attribute to the family. Dynamic is here a static list of suffix. It could be a variable or jinja informations too.

The dynamic family is only hidden in the HTTPs case.
Hidden is now a Jinja calculation with a parameter named "suffix".

The suffix is use in:

- family name
- family description
- variables name
- variables description
